LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
ContainerWindowProvider Service Reference

specifies a provider for container windows implementing the com::sun::star::awt::XWindow interface. More...

`import"ContainerWindowProvider.idl";`

Inheritance diagram for ContainerWindowProvider:

## Additional Inherited Members
Public Member Functions inherited from XContainerWindowProvider
com::sun::star::awt::XWindow | createContainerWindow ([in] string URL, [in] string WindowType, [in] com::sun::star::awt::XWindowPeer xParent, [in] com::sun::star::uno::XInterface xHandler) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a window for the given URL More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a provider for container windows implementing the com::sun::star::awt::XWindow interface.

The documentation for this service was generated from the following file:

- com/sun/star/awt/ContainerWindowProvider.idl